/*
 Theme Name: Meno Studio
 Template: frost
 Version: 1.0
 Author: Menostudio
 Description: template restyling 2025 
*/

@view-transition{
    
    .navbar-brand svg#logo {
        animation: rotate 4s infinite;
        transform-origin: center;
        animation-delay: 2s;
    }

    .navbar-brand svg #Combined-Shape {
        animation: colorami 3s infinite ease-in-out;
        animation-fill-mode: forwards;
    }
}

*{
    box-sizing: border-box;
}

.navbar-brand svg#logoscritta{
    height: auto;
    width: 120px;
}
.navbar-brand svg#logo{
    height: 50px;
    width: 50px;
}
.navbar-brand svg#logoscritta {
    height: auto;
    width: 120px;
}

.navbar-brand svg #STUDIO {
    stroke: #333;
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    animation: dash 5s linear alternate infinite;
}

@keyframes dash {
    from {
        stroke-dashoffset: 1000;
    }

    to {
        stroke-dashoffset: 0;
    }
}

body.scrolled .navbar-brand svg#logo {
    animation: rotate 4s infinite;
    transform-origin: center;
    animation-delay: 2s;
}

body.scrolled .navbar-brand svg #Combined-Shape {
    animation: colorami 3s infinite ease-in-out;
    animation-fill-mode: forwards;
}


.evid {
    color: var(--wp--preset--color--accent);
}